#include <bits/stdc++.h>
using namespace std;

/* TYPES  */
#define ll long long

/* FUNCTIONS */
#define f(i,s,e) for(long long int i=s;i<e;i++)
#define cf(i,s,e) for(long long int i=s;i<=e;i++)
#define rf(i,e,s) for(long long int i=e-1;i>=s;i--)
#define pb push_back
#define eb emplace_back

/* PRINTS */
template <class T>
void print_v(vector<T> &v) { cout << "{"; for (auto x : v) cout << x << ","; cout << "b}"; }
template <class Type>
void print_arr(Type arr, int len)
{ for(int i=0;i<len;i++) cout << arr[i] << " ";
  cout << endl; }

/* UTILS */
#define MOD 1000000007
#define PI 3.1415926535897932384626433832795
#define read(type) readInt<type>()
ll min(ll a,int b) { if (a<b) return a; return b; }
ll min(int a,ll b) { if (a<b) return a; return b; }
ll max(ll a,int b) { if (a>b) return a; return b; }
ll max(int a,ll b) { if (a>b) return a; return b; }
ll gcd(ll a,ll b) { if (b==0) return a; return gcd(b, a%b); }
ll lcm(ll a,ll b) { return a/gcd(a,b)*b; }
string to_upper(string a) { for (int i=0;i<(int)a.size();++i) if (a[i]>='a' && a[i]<='z') a[i]-='a'-'A'; return a; }
string to_lower(string a) { for (int i=0;i<(int)a.size();++i) if (a[i]>='A' && a[i]<='Z') a[i]+='a'-'A'; return a; }
bool prime(ll a) { if (a==1) return 0; for (int i=2;i<=round(sqrt(a));++i) if (a%i==0) return 0; return 1; }
void yes() { cout<<"YESn"; }
void no() { cout<<"NOn"; }

/*  All Required define Pre-Processors and typedef Constants */
typedef long int int32;
typedef unsigned long int uint32;
typedef long long int int64;
typedef unsigned long long int  uint64;



int main()
{
  ll n,m;
  cin >> n >> m;

  ll br1=0;
  if(m%2==0) {
    // ivice

    br1=(n-2)*((m/2)+1);

    cout << br1+2*m << "\n";
  }else{
    // (n-2)/2 -> broj redova sa jednim manje redarom 
    br1=(n-2)/2 * ((m/2)+2);

    ll br2=0;
    br2 = ((n-2)/2+1) * ((m/2)+1);

    // printf("br1, br2: %lld, %lld\n", br1, br2);
    cout << br1+br2+2*m << "\n";
  }

  return 0;
}